# About
The comfiest rebalance in the sea, brought to you by *Hoppo Games*. Fuelled by cake, witchery, and the work of industrious haremhorns. 

![Fluffy!](https://cdn.discordapp.com/attachments/644522071224877056/752356637380968478/icon.png)

Expect a full rebalance of abilities and survivors that have fallen by the wayside, with optional modifiers to fine-tune the HP scaling of foes while maintaining their threat to the player at a level appropriate to the difficulty. 

Hoppou's even thrown in an artifact of her own, making items scarce to discover, but tripling their power and granting Survivors a significant boost to their stat gain per-level to compensate. The little guy is hungry, so it works well with Sacrifice!

# Balance Changes
-Monster and Boss HP scale adjusted to **50%** and **75%** of default. 
This should allow monsters to continue to scale up as threats at the normal speed, without becoming bloated balls of HP. This can be set back to default or adjusted to personal taste using the mod's config file.

-Base survivor movement speed increased from **7.5** to **8.5** before all item effects. 
Survivors should now be a tad speedier at the start of the run. The config file also allows this to be adjusted, for those who would like the classic experience or something even more sanic.

-Monster Rebalance in progress, for certain outliers. Once again this can be toggled on or off to taste!
--Clay Templar wind-up time increased by **0.6s**, wind-down time by **0.35s**
--Clay Templar damage reduced to **85%** of default
--Lesser Wisp accuracy cone increased by **50%** - should allow more of a proper "shotgun" feel at longer ranges; less of a laser.

-Multiplicative difficulty scaling eased for additional players in multiplayer games.
The new formula should be closer to an even boost in difficulty, rather than one that makes a four-person run significantly harder than a two-person run, etc. The strength of the adjustment can be customized in the config if you'd like easier or harder scaling per player.

-Optional multipliers in the config file to adjust how much money and EXP players receive during a run.
These default to 1.0 for the standard RoR2 experience, but can be tweaked if you'd like to further modify the difficulty of your runs.

*Many* Skill and Survivor tweaks with a focus on buffing underperforming abilities and improving general game feel and risk/reward. Including:

**Artificer**
-Flamethrower hit particles increased in size to actually enjoyable levels
-Flamethrower damage increased by **1.35x** (~2300% over its full duration)
-Flamethrower base range increased from **20** to **30**. Now scales with Survivor movement speed
-Increased the hit radius and added a slight random scatter effect to the Flamethrower to widen its reach
-Increased the visual fire rate of hits emitted by the Flamethrower (Effective DPS and proc coefficient unchanged)
-Nova Bomb max charge time increased from **2** to **3** seconds; damage at max charge increased accordingly. (A two-second charge will hit as hard as before, but the damage ceiling has been raised)

**Captain**
-Taser damage coefficient increased to **600%** in hopes it will be even slightly useful

**Commando**
-Major overhaul to Suppressive Fire: now fires twice as many shots for twice as long as before, with a dramatically larger cone of effect but less damage per individual hit. Functions as a mid-range group suppression tool or a close-range high DPS bullet hose.
-Major overhaul to Combat Roll: now has 3 charges that refresh when not rolling, rolls much quicker but covers less distance, and grants several iframes (temporary invulnerability) at the start to allow skilled players to "perfect dodge" attacks with good timing. iFrame behaviour can be customized in the config.
-Phase Rounds damage coefficient increased from **300%** to **650%**, enabling it to trigger Bands (and stand any chance of being picked over Phase Blast)
-Phase Rounds projectile speed increased dramatically
-Overhaul to Grenade mechanics:
--Grenade travel speed increased slightly
--Now explodes on contact with enemies or after a fixed 2.5 second fuse from the time of being thrown
--Grenade damage increased to **900%** from **700%** (225% from 175% at edges), **knockback** increased
--Grenade **VFX scaled up** (15x!) to more than an explosive soap bubble

**Engineer**
-Bouncing Grenades' charge can now be held almost indefinitely
-Thermal Harpoons' damage increased from **500%** per harpoon to **800%** per harpoon

**Huntress**
-Arrow Rain damage increased from **330%** per tick to **500%** per tick

**Loader**
-Grapple Fist cooldown lowered to 2 seconds, pull speed increased.
-Grapple Fist and Spiked Fist max range now scales with Movement Speed (2 units per 1 speed).

**MUL-T**
-Scrap Launcher damage coefficient increased from **360%** to **450%**.
-MUL-T Scrap Launcher area of effect **increased by 2x**.

# The Artifact of Primacy	 

A new artifact that reduces the spawn rate of items to a scarce few, but each one obtained grants three stacks instead of one. In addition, player stats (including attack speed, crit, movement speed, jump height, and armour) now rise with levels as a bit of insurance against the whims of the RNGods.

Sacrifice and Command are fully supported with Primacy - though one questions the purpose of using it and Command at the same time. You do you, I suppose.

Multiplayer convenience features for this artifact are still being developed, but it can be used with others. Just... remember to share. Or don't. Your Engineer didn't need the run's only fungi anyway.

# Configuration

After running the mod at least once, find the HoppouRebalance .cfg file in the BepInEx\config folder.

Options include:
-Monster HP scaling ratio
-Teleporter Boss HP scaling ratio (including hordes and anything with a "teleporter blocking" HP bar)
-Survivor base movement speed
-Survivor Money and EXP gain
-Monster Rebalance on/off
-Survivor Rebalances on/off
-Multiplayer difficulty scaling ratio per player

# How to Install
Simply install through **r2modman**
or
**1** - Download HoppouRebalance
**2** - Extract the "HoppouRebalance" folder to your BepInEx\plugins folder
**3** - **Enjoy!**

# Changelog

v1.0.0

  - Initial release
  
v1.0.1

  - Removed Mercenary speed increase (patched by base game now)
  - Clay Templar damage scaling changed from 70% to 85% due to lower than expected damage in practice
  - Changed instances of "Honpo" into Hoppou - whoops!
  
v1.0.2

  - Added config options to enable/disable reworks of each survivor individually.
  - Added config options to adjust MP difficulty scaling per player manually.
  - Added config option to disable MP difficulty calculation adjustments if they conflict with another mod.

v1.1.0

  - Added config options to set custom EXP and Money gain multipliers for Survivors.
  
v1.2.0

  - Reworked Commando's Combat Roll to a short-range evasive roll with 3 stacks that grants i-frames.
  - Added a config option to adjust Combat Roll i-frames.
  - Increased Phase Rounds damage coefficient to 650% and projectile speed to 450.
  - Reworked Commando Grenade to explode on contact with enemies or a fixed 2.5s fuse after being thrown.
  
v.1.2.1

  - Adjusted Phase Rounds projectile speed to 220 and impact frequency to 120 to prevent non-registered shots.
  - Commando Grenade velocity reduced slightly and angle adjusted for better mid-range throws.
  
v.1.3.0

  - Loader Grapple Fist cooldown lowered to 1.5 seconds, pull speed increased.
  - Grapple Fist and Spiked Fist max range now scales with Movement Speed (2 units per 1 speed).
  - MUL-T Scrap Launcher damage coefficient increased from 360% to 450%.
  - MUL-T Scrap Launcher area of effect increased by 2x.
  - Fixed an issue where Mercenary's Slicing Winds was not firing correctly.
  
# Contact
If you'd like to make any suggestions, encounter issues, or just want to chat about modding or comfy abyssals, just drop by the [RoR2 Modding Discord](https://discord.gg/5MbXZvd) at https://discord.gg/5MbXZvd and @Navarth.